#ifndef STUNDENPLANWIDGET_H
#define STUNDENPLANWIDGET_H

#include <QtGui/qpainter.h>
#include <QWidget>
#include <QVBoxLayout>
#include <QDebug>
#include <QTimer>
#include <QFontMetrics>
#include "llabel.h"
#include "stundenplan.h"

class StundenplanWidget : public QWidget
{
    Q_OBJECT
public:
    explicit StundenplanWidget(QWidget *parent = 0);

    QSize sizeHint() const;

signals:

public slots:
    void showSettingsDialog();

protected:
    void paintEvent(QPaintEvent *event);

private slots:
    void updateWidget();
    void planReaded();
    void settingsReaded();

private:
    LLabel *time_label;
    LLabel *beschreibung_label;
    LLabel *kurzbeschreibung_label;
    LLabel *raum_label;
    QVBoxLayout *vbox;

    QTimer *update_timer;
    int uintervall;
    Stundenplan *plan;





};

#endif // STUNDENPLANWIDGET_H
